## mx4j.tools.config
Class DefaultConfigurationBuilder.Arg

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
          mx4j.tools.config.DefaultConfigurationBuilder.Arg

All Implemented Interfaces:
  ConfigurationBuilder.Node

Enclosing class:
  DefaultConfigurationBuilder

public static class DefaultConfigurationBuilder.Arg
extends DefaultConfigurationBuilder.AbstractNode

Constructor Summary
`DefaultConfigurationBuilder.Arg()`

Method Summary
`java.lang.Object` `configure(javax.management.MBeanServer server)`
`java.lang.Class` `getJavaType()`
`void` `setRefobjectid(java.lang.String refobjectid)`
`void` `setType(java.lang.String type)`

Methods inherited from class mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
`addChild, getChildren, getParent, getText, setAttributes, setParent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.Arg

    public DefaultConfigurationBuilder.Arg()

Method Detail

### setType

    public void setType(java.lang.String type)

### setRefobjectid

    public void setRefobjectid(java.lang.String refobjectid)

### getJavaType

    public java.lang.Class getJavaType()
                                throws ConfigurationException

  Throws:
    `ConfigurationException`

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.